<?php

/**
 * Plugin Name: Kama Thumbnail
 *
 * Description: Creates post thumbnails on fly & cache the result. Which image take to create thumb the plugin find from: WP post thumbnail / first img in post content / first post attachment img. To creat thumb for any img in content add class "mini" to img & resize img in visual editor. In theme/plugin code use next functions: <code>kama_thumb_a_img("w=200 &h=100")</code>, <code>kama_thumb_img("w=200 &h=100")</code>, <code>kama_thumb_src("w=200 &h=100")</code>..
 *
 * Text Domain: kama-thumbnail
 * Domain Path: languages
 *
 * Author: Kama
 * Plugin URI: http://wp-kama.ru/?p=142
 *
 * Version: 2.7.6
 *
 * Build: 117
 */


define('KT_PATH', dirname(__FILE__) .'/' );
define('KT_URL', plugins_url('', __FILE__) .'/' );


require KT_PATH .'class.Kama_Thumbnail.php';
require KT_PATH .'class.Kama_Make_Thumb.php';


register_activation_hook( __FILE__, array('Kama_Thumbnail', 'activation') );
register_uninstall_hook( __FILE__, create_function('','$kt = new Kama_Thumbnail(); $kt->uninstall();') );


add_action('plugins_loaded', 'kama_thumbnail_init' );
function kama_thumbnail_init(){
	if( ! defined('DOING_AJAX') )
		load_plugin_textdomain( 'kama-thumbnail', false, basename(KT_PATH) .'/languages' );

	new Kama_Thumbnail();
}




